import { RemotePort } from './RemotePort';
import { BundleSpec } from './types/BundleSpec';
import { IPort } from './types/global/IPort';
export declare class RemoteClient {
    private _remote_port;
    private _port;
    constructor(port: IPort);
    private _init_data;
    private _exec_data;
    init(bundle: BundleSpec): void;
    terminate(): void;
    port(): RemotePort;
    invalidate(): void;
}
